package org.colllib.util;

/**
 * This file is part of CollLib released under the terms of the LGPL V3.0.
 * See the file licenses/lgpl-3.0.txt for details.
 * 
 * @author marc.jackisch
 */
public class CompareUtil {
   private CompareUtil() {}
   
   /**
    * Check equality of two objects via the underlying equals method, but
    * honoring null pointers.
    * 
    * @param o1
    * @param o2
    * @return true, if both are null, false if only one object is null,
    * <code>o1.equals(o2)</code> otherwise
    */
   public static boolean nullSafeEquals(Object o1, Object o2) {
      if(o1 == null && o2 == null)
         return true;
      if(o1 == null || o2 == null)
         return false;
      return o1.equals(o2);
   }
}

